#include "flugzeug.h" 

int flugzeug::Anzahl = 0; 

flugzeug::flugzeug() 
  : Fluggesellschaft("Lufthansa") 
{ 
  ++Anzahl; 
} 

flugzeug::flugzeug(std::string fluggesellschaft) 
  : Fluggesellschaft(fluggesellschaft) 
{ 
  ++Anzahl; 
} 

flugzeug::~flugzeug() 
{ 
  --Anzahl; 
} 

flugzeug::flugzeug(const flugzeug &f) 
{ 
  ++Anzahl; 
  Fluggesellschaft = f.Fluggesellschaft; 
} 

flugzeug &flugzeug::operator=(const flugzeug &f) 
{ 
  Fluggesellschaft = f.Fluggesellschaft; 
  return *this; 
} 

int flugzeug::anzahl() 
{ 
  return Anzahl; 
} 