#include <stdexcept> 
#include <iostream> 

template <typename T> 
class array 
{ 
  public: 
    T &operator[](int index) 
    { 
      if (index < 0 || index > 9) 
        throw std::runtime_error("Index ungueltig"); 
      return data[index]; 
    } 

  private: 
    T data[10]; 
}; 

int main() 
{ 
  array<int> a; 
  a[0] = 1; 
  std::cout << a[0] << std::endl; 
} 