#include <stdexcept> 
#include <iostream> 

template <typename T, int Length> 
class array 
{ 
  public: 
    T &operator[](int index) 
    { 
      if (index < 0 || index >= Length) 
        throw std::runtime_error("Index ungueltig"); 
      return data[index]; 
    } 

  private: 
    T data[Length]; 
}; 

int main() 
{ 
  array<int, 20> i; 
  i[0] = 1; 
  std::cout << i[0] << std::endl; 
} 