#include <string> 
#include <sstream> 
#include <iostream> 

template <typename T> 
std::string convert_to_string(T t) 
{ 
  std::ostringstream ss; 
  ss << t; 
  return ss.str(); 
} 

int main() 
{ 
  int i = 1; 
  std::cout << convert_to_string(i) << std::endl; 
  float f = 1.5; 
  std::cout << convert_to_string(f) << std::endl; 
  bool b = true; 
  std::cout << convert_to_string(b) << std::endl; 
} 