#include <string> 
#include <sstream> 
#include <iostream> 

template <typename T> 
std::string convert_to_string(T t) 
{ 
  std::ostringstream ss; 
  ss << t; 
  return ss.str(); 
} 

struct person 
{ 
  person(std::string n) 
    : Name(n) 
  { 
  } 

  std::string Name; 
}; 

std::string convert_to_string(person t) 
{ 
  std::ostringstream ss; 
  ss << "Person: " << t.Name; 
  return ss.str(); 
} 

int main() 
{ 
  person boris("Boris"); 
  std::cout << convert_to_string(boris) << std::endl; 
} 